
package com.ejie.ad74a.ws.client.platea.regRepresentantes;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.client.platea.regRepresentantes package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AddRepresentationResponse_QNAME = new QName("com/ejie/rdr/xml", "addRepresentationResponse");
    private final static QName _RevokeRepresentationResponse_QNAME = new QName("com/ejie/rdr/xml", "revokeRepresentationResponse");
    private final static QName _ModifyRepresentationResponse_QNAME = new QName("com/ejie/rdr/xml", "modifyRepresentationResponse");
    private final static QName _IsValidRepresentation_QNAME = new QName("com/ejie/rdr/xml", "isValidRepresentation");
    private final static QName _IsValidRepresentationResponse_QNAME = new QName("com/ejie/rdr/xml", "isValidRepresentationResponse");
    private final static QName _AreValidRepresentations_QNAME = new QName("com/ejie/rdr/xml", "areValidRepresentations");
    private final static QName _AreValidRepresentationsResponse_QNAME = new QName("com/ejie/rdr/xml", "areValidRepresentationsResponse");
    private final static QName _GrantorRepresentations_QNAME = new QName("com/ejie/rdr/xml", "grantorRepresentations");
    private final static QName _GrantorRepresentationsResponse_QNAME = new QName("com/ejie/rdr/xml", "grantorRepresentationsResponse");
    private final static QName _RepresentativeInformation_QNAME = new QName("com/ejie/rdr/xml", "representativeInformation");
    private final static QName _RepresentativeInformationResponse_QNAME = new QName("com/ejie/rdr/xml", "representativeInformationResponse");
    private final static QName _InfoRepresentation_QNAME = new QName("com/ejie/rdr/xml", "infoRepresentation");
    private final static QName _InfoRepresentationResponse_QNAME = new QName("com/ejie/rdr/xml", "infoRepresentationResponse");
    private final static QName _IsValidRequestRepresentation_QNAME = new QName("com/ejie/rdr/xml", "isValidRequestRepresentation");
    private final static QName _IsValidRequestRepresentationResponse_QNAME = new QName("com/ejie/rdr/xml", "isValidRequestRepresentationResponse");
    private final static QName _Exception_QNAME = new QName("com/ejie/rdr/xml", "Exception");
    private final static QName _AddrepresentationWebInfo_QNAME = new QName("com/ejie/rdr/xml", "addrepresentationWebInfo");
    private final static QName _ModifyrepresentationWebInfo_QNAME = new QName("com/ejie/rdr/xml", "modifyrepresentationWebInfo");
    private final static QName _RevokerepresentationWebInfo_QNAME = new QName("com/ejie/rdr/xml", "revokerepresentationWebInfo");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.client.platea.regRepresentantes
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IsValidRepresentation }
     * 
     */
    public IsValidRepresentation createIsValidRepresentation() {
        return new IsValidRepresentation();
    }

    /**
     * Create an instance of {@link IsValidRepresentationResponse }
     * 
     */
    public IsValidRepresentationResponse createIsValidRepresentationResponse() {
        return new IsValidRepresentationResponse();
    }

    /**
     * Create an instance of {@link AreValidRepresentations }
     * 
     */
    public AreValidRepresentations createAreValidRepresentations() {
        return new AreValidRepresentations();
    }

    /**
     * Create an instance of {@link AreValidRepresentationsResponse }
     * 
     */
    public AreValidRepresentationsResponse createAreValidRepresentationsResponse() {
        return new AreValidRepresentationsResponse();
    }

    /**
     * Create an instance of {@link GrantorRepresentations }
     * 
     */
    public GrantorRepresentations createGrantorRepresentations() {
        return new GrantorRepresentations();
    }

    /**
     * Create an instance of {@link GrantorRepresentationsResponse }
     * 
     */
    public GrantorRepresentationsResponse createGrantorRepresentationsResponse() {
        return new GrantorRepresentationsResponse();
    }

    /**
     * Create an instance of {@link RepresentativeInformation }
     * 
     */
    public RepresentativeInformation createRepresentativeInformation() {
        return new RepresentativeInformation();
    }

    /**
     * Create an instance of {@link RepresentativeInformationResponse }
     * 
     */
    public RepresentativeInformationResponse createRepresentativeInformationResponse() {
        return new RepresentativeInformationResponse();
    }

    /**
     * Create an instance of {@link InfoRepresentation }
     * 
     */
    public InfoRepresentation createInfoRepresentation() {
        return new InfoRepresentation();
    }

    /**
     * Create an instance of {@link InfoRepresentationResponse }
     * 
     */
    public InfoRepresentationResponse createInfoRepresentationResponse() {
        return new InfoRepresentationResponse();
    }

    /**
     * Create an instance of {@link IsValidRequestRepresentation }
     * 
     */
    public IsValidRequestRepresentation createIsValidRequestRepresentation() {
        return new IsValidRequestRepresentation();
    }

    /**
     * Create an instance of {@link IsValidRequestRepresentationResponse }
     * 
     */
    public IsValidRequestRepresentationResponse createIsValidRequestRepresentationResponse() {
        return new IsValidRequestRepresentationResponse();
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link RepresentationWebInfoType }
     * 
     */
    public RepresentationWebInfoType createRepresentationWebInfoType() {
        return new RepresentationWebInfoType();
    }

    /**
     * Create an instance of {@link ListaActuaciones }
     * 
     */
    public ListaActuaciones createListaActuaciones() {
        return new ListaActuaciones();
    }

    /**
     * Create an instance of {@link ListaProcedimientos }
     * 
     */
    public ListaProcedimientos createListaProcedimientos() {
        return new ListaProcedimientos();
    }

    /**
     * Create an instance of {@link ListaAreasActuaciones }
     * 
     */
    public ListaAreasActuaciones createListaAreasActuaciones() {
        return new ListaAreasActuaciones();
    }

    /**
     * Create an instance of {@link AddRepresentationResponse }
     * 
     */
    public AddRepresentationResponse createAddRepresentationResponse() {
        return new AddRepresentationResponse();
    }

    /**
     * Create an instance of {@link RevokeRepresentationResponse }
     * 
     */
    public RevokeRepresentationResponse createRevokeRepresentationResponse() {
        return new RevokeRepresentationResponse();
    }

    /**
     * Create an instance of {@link ModifyRepresentationResponse }
     * 
     */
    public ModifyRepresentationResponse createModifyRepresentationResponse() {
        return new ModifyRepresentationResponse();
    }

    /**
     * Create an instance of {@link PoderdanteInfo }
     * 
     */
    public PoderdanteInfo createPoderdanteInfo() {
        return new PoderdanteInfo();
    }

    /**
     * Create an instance of {@link ApoderadoInfo }
     * 
     */
    public ApoderadoInfo createApoderadoInfo() {
        return new ApoderadoInfo();
    }

    /**
     * Create an instance of {@link DocumentoAcreditativoInfo }
     * 
     */
    public DocumentoAcreditativoInfo createDocumentoAcreditativoInfo() {
        return new DocumentoAcreditativoInfo();
    }

    /**
     * Create an instance of {@link UsuarioConectadoInfo }
     * 
     */
    public UsuarioConectadoInfo createUsuarioConectadoInfo() {
        return new UsuarioConectadoInfo();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "addRepresentationResponse")
    public JAXBElement<Object> createAddRepresentationResponse(Object value) {
        return new JAXBElement<Object>(_AddRepresentationResponse_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "revokeRepresentationResponse")
    public JAXBElement<Object> createRevokeRepresentationResponse(Object value) {
        return new JAXBElement<Object>(_RevokeRepresentationResponse_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "modifyRepresentationResponse")
    public JAXBElement<Object> createModifyRepresentationResponse(Object value) {
        return new JAXBElement<Object>(_ModifyRepresentationResponse_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsValidRepresentation }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link IsValidRepresentation }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "isValidRepresentation")
    public JAXBElement<IsValidRepresentation> createIsValidRepresentation(IsValidRepresentation value) {
        return new JAXBElement<IsValidRepresentation>(_IsValidRepresentation_QNAME, IsValidRepresentation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsValidRepresentationResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link IsValidRepresentationResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "isValidRepresentationResponse")
    public JAXBElement<IsValidRepresentationResponse> createIsValidRepresentationResponse(IsValidRepresentationResponse value) {
        return new JAXBElement<IsValidRepresentationResponse>(_IsValidRepresentationResponse_QNAME, IsValidRepresentationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AreValidRepresentations }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AreValidRepresentations }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "areValidRepresentations")
    public JAXBElement<AreValidRepresentations> createAreValidRepresentations(AreValidRepresentations value) {
        return new JAXBElement<AreValidRepresentations>(_AreValidRepresentations_QNAME, AreValidRepresentations.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AreValidRepresentationsResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AreValidRepresentationsResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "areValidRepresentationsResponse")
    public JAXBElement<AreValidRepresentationsResponse> createAreValidRepresentationsResponse(AreValidRepresentationsResponse value) {
        return new JAXBElement<AreValidRepresentationsResponse>(_AreValidRepresentationsResponse_QNAME, AreValidRepresentationsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GrantorRepresentations }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GrantorRepresentations }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "grantorRepresentations")
    public JAXBElement<GrantorRepresentations> createGrantorRepresentations(GrantorRepresentations value) {
        return new JAXBElement<GrantorRepresentations>(_GrantorRepresentations_QNAME, GrantorRepresentations.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GrantorRepresentationsResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GrantorRepresentationsResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "grantorRepresentationsResponse")
    public JAXBElement<GrantorRepresentationsResponse> createGrantorRepresentationsResponse(GrantorRepresentationsResponse value) {
        return new JAXBElement<GrantorRepresentationsResponse>(_GrantorRepresentationsResponse_QNAME, GrantorRepresentationsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RepresentativeInformation }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RepresentativeInformation }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "representativeInformation")
    public JAXBElement<RepresentativeInformation> createRepresentativeInformation(RepresentativeInformation value) {
        return new JAXBElement<RepresentativeInformation>(_RepresentativeInformation_QNAME, RepresentativeInformation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RepresentativeInformationResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RepresentativeInformationResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "representativeInformationResponse")
    public JAXBElement<RepresentativeInformationResponse> createRepresentativeInformationResponse(RepresentativeInformationResponse value) {
        return new JAXBElement<RepresentativeInformationResponse>(_RepresentativeInformationResponse_QNAME, RepresentativeInformationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InfoRepresentation }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link InfoRepresentation }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "infoRepresentation")
    public JAXBElement<InfoRepresentation> createInfoRepresentation(InfoRepresentation value) {
        return new JAXBElement<InfoRepresentation>(_InfoRepresentation_QNAME, InfoRepresentation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InfoRepresentationResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link InfoRepresentationResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "infoRepresentationResponse")
    public JAXBElement<InfoRepresentationResponse> createInfoRepresentationResponse(InfoRepresentationResponse value) {
        return new JAXBElement<InfoRepresentationResponse>(_InfoRepresentationResponse_QNAME, InfoRepresentationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsValidRequestRepresentation }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link IsValidRequestRepresentation }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "isValidRequestRepresentation")
    public JAXBElement<IsValidRequestRepresentation> createIsValidRequestRepresentation(IsValidRequestRepresentation value) {
        return new JAXBElement<IsValidRequestRepresentation>(_IsValidRequestRepresentation_QNAME, IsValidRequestRepresentation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsValidRequestRepresentationResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link IsValidRequestRepresentationResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "isValidRequestRepresentationResponse")
    public JAXBElement<IsValidRequestRepresentationResponse> createIsValidRequestRepresentationResponse(IsValidRequestRepresentationResponse value) {
        return new JAXBElement<IsValidRequestRepresentationResponse>(_IsValidRequestRepresentationResponse_QNAME, IsValidRequestRepresentationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RepresentationWebInfoType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RepresentationWebInfoType }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "addrepresentationWebInfo")
    public JAXBElement<RepresentationWebInfoType> createAddrepresentationWebInfo(RepresentationWebInfoType value) {
        return new JAXBElement<RepresentationWebInfoType>(_AddrepresentationWebInfo_QNAME, RepresentationWebInfoType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RepresentationWebInfoType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RepresentationWebInfoType }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "modifyrepresentationWebInfo")
    public JAXBElement<RepresentationWebInfoType> createModifyrepresentationWebInfo(RepresentationWebInfoType value) {
        return new JAXBElement<RepresentationWebInfoType>(_ModifyrepresentationWebInfo_QNAME, RepresentationWebInfoType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RepresentationWebInfoType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RepresentationWebInfoType }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "revokerepresentationWebInfo")
    public JAXBElement<RepresentationWebInfoType> createRevokerepresentationWebInfo(RepresentationWebInfoType value) {
        return new JAXBElement<RepresentationWebInfoType>(_RevokerepresentationWebInfo_QNAME, RepresentationWebInfoType.class, null, value);
    }

}
